Merge user cart and guest cart - Fabric

Merge user cart and guest cart

cURL

curl --request PATCH \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/merge \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "guestCartId": "5e5818a84d030c206b2ffb02"
}
'

Python

import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/merge"

payload = { "guestCartId": "5e5818a84d030c206b2ffb02" }
headers = {
    "x-site-context": "<x-site-context>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'PATCH',
  headers: {'x-site-context': '<x-site-context>', 'Content-Type': 'application/json'},
  body: JSON.stringify({guestCartId: '5e5818a84d030c206b2ffb02'})
};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-cart/cart/merge', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




HTTP Status Codes

Response Example

{
  "deleted": false,
  "allPromosApplied": [],
  "items": [],
  "registeredUser": false,
  "cartId": 4,
  "totalAmmount": {
    "currency": "USD",
    "amount": 200
  },
  "quantity": 2,
  "__v": 0,
  "attributes": [],
  "account": "<string>",
  "approver": "<string>",
  "po": "<string>",
  "company": "<string>",
  "status": "pending",
  "errors": {
    "inventory": [],
    "price": [],
    "promo": []
  },
  "_id": "5fee9d59f2f08a1b3cbdea08",
  "createdAt": "2020-12-31T02:09:53.914Z",
  "updatedAt": "2020-12-31T02:09:53.914Z"
}

Error Response Example

{
  "code": "CART_NOT_FOUND",
  "message": "Cart not found."
}